
Object subclass: #ConfigurationOfA4BP
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfA4BP'!

!ConfigurationOfA4BP commentStamp: '<historical>' prior: 0!
Please comment me using the following template inspired by Class Responsibility Collaborator (CRC) design:

For the Class part:  State the name of the class with one line description: For example, I'm xxx the root of the hierarchy of visitor objects.

For the Responsibility part: Three sentences about my main responsibility, what I'm doing, what services do I offer.

For the Collaborators Part: State my main collaborators and one line about how I interact with them. 

Public API and Key Messages

- message one   
- message two 
- what is the way to create instances is a plus.

   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.

    Instance Variables
	project:		<Object>


    Implementation Points!

!ConfigurationOfA4BP class methodsFor: 'development support' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfA4BP class methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfA4BP class methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfA4BP class methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfA4BP class methodsFor: 'metacello tool support' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfA4BP class methodsFor: 'loading' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfA4BP class methodsFor: 'loading' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfA4BP class methodsFor: 'loading' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfA4BP class methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
project

	^self new project! !

!ConfigurationOfA4BP class methodsFor: 'development support' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 6/26/2015 00:48'!
baseline014: spec
	<version: '0.14-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'SciSmalltalk' with: [
				spec
					className: #ConfigurationOfSciSmalltalk;
					versionString: '0.24';
					repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ]; 
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ]].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 6/26/2015 00:47'!
baseline015: spec
	<version: '0.15-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'SciSmalltalk' with: [
				spec
					className: #ConfigurationOfSciSmalltalk;
					versionString: '0.24';
					repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 11/17/2015 15:24'!
baseline016: spec
	<version: '0.16-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 1/13/2016 09:13'!
baseline017: spec
	<version: '0.17-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ];
			package: 'Math-Core';
			package: 'Math-Core-Distribution' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-Core-Process' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-Core-Process' ). ];
			package: 'Math-Random' with: [
				spec requires: #('Math-Core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 1/14/2016 17:37'!
baseline018: spec
	<version: '0.18-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ];
			package: 'Math-Core';
			package: 'Math-Core-Distribution' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-Core-Process' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-Core-Process' ). ];
			package: 'Math-Random' with: [
				spec requires: #('Math-Core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 1/17/2016 12:39'!
baseline019: spec
	<version: '0.19-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ];
			package: 'Math-Core';
			package: 'Math-Core-Distribution' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-Core-Process' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-Core-Process' ). ];
			package: 'Math-Random' with: [
				spec requires: #('Math-Core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 1/19/2016 16:44'!
baseline020: spec
	<version: '0.20-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' 'Glamour-Roassal2-Presentations' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ];
			package: 'Math-Core';
			package: 'Math-Core-Distribution' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-Core-Process' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-Core-Process' ). ];
			package: 'Math-Random' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Glamour-Roassal2-Presentations'. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 4/1/2016 14:10'!
baseline021: spec
	<version: '0.21-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'Glamour-Roassal2-Presentations';
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' 'Glamour-Roassal2-Presentations' ). ];
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'Math-Core';
			package: 'Math-Core-Distribution' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-Core-Process' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-Core-Process' ). ];
			package: 'Math-Random' with: [
				spec requires: #('Math-Core' ). ];
			
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 4/6/2016 20:04'!
baseline022: spec
	<version: '0.22-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3.0';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.6.1';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.6';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'Glamour-Roassal2-Presentations';
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' 'Glamour-Roassal2-Presentations' ). ];
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'Math-Core';
			package: 'Math-Core-Distribution' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-Core-Process' with: [
				spec requires: #('Math-Core' ). ];
			package: 'Math-DHB-Numerical' with: [
				spec requires: #('Math-Core' 'Math-Core-Distribution' 'Math-Core-Process' ). ];
			package: 'Math-Random' with: [
				spec requires: #('Math-Core' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfA4BP methodsFor: 'symbolic versions' stamp: 'AlvaroJosePeraltaOcampo 4/6/2016 20:04'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.22-baseline'.
! !

!ConfigurationOfA4BP methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfA4BP methodsFor: 'symbolic versions' stamp: 'AlvaroJosePeraltaOcampo 4/6/2016 20:04'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.12'.
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 11/21/2015 12:01'!
version10: spec
	<version: '1.0' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '11/21/2015 12:01'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'JNIPort' with: '3.0-baseline';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.84';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.29';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.219';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcamop.18';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcamop.88';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcamop.70';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3012';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.37';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.1';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 4/1/2016 13:23'!
version110: spec
	<version: '1.10' imports: #('0.21-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.10'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '4/1/2016 13:22'.
		spec 
			project: 'Glamour' with: '3.3.0';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.6.4';
			project: 'XMLWriter' with: '2.6.6';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.86';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.20';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Glamour-Roassal2-Presentations' with: 'Glamour-Roassal2-Presentations-AlexandreBergel.41';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3015';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.42';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 4/1/2016 14:13'!
version111: spec
	<version: '1.11' imports: #('0.21-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.11'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '4/1/2016 14:13'.
		spec 
			project: 'Glamour' with: '3.3.0';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.6.4';
			project: 'XMLWriter' with: '2.6.6';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.86';
			package: 'Glamour-Roassal2-Presentations' with: 'Glamour-Roassal2-Presentations-AlexandreBergel.41';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3015';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.20';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.42';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 4/6/2016 20:04'!
version112: spec
	<version: '1.12' imports: #('0.22-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.12'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '4/6/2016 20:04'.
		spec 
			project: 'Glamour' with: '3.3.0';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.6.1';
			project: 'XMLWriter' with: '2.6.6';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.86';
			package: 'Glamour-Roassal2-Presentations' with: 'Glamour-Roassal2-Presentations-AlexandreBergel.41';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3015';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.20';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.42';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/13/2016 09:10'!
version11: spec
	<version: '1.1' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.1'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/13/2016 09:10'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'JNIPort' with: '3.0-baseline';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.84';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.29';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.219';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcamop.18';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcamop.88';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcamop.70';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3012';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.37';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.1';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/13/2016 09:13'!
version12: spec
	<version: '1.2' imports: #('0.17-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/13/2016 09:13'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'JNIPort' with: '3.0-baseline';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.84';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.29';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.219';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcamop.18';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcamop.88';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcamop.70';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3012';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.37';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.1';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/14/2016 17:37'!
version13: spec
	<version: '1.3' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.3'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/14/2016 17:37'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.84';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.29';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.219';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcamop.18';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcamop.88';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3012';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.37';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.1';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/15/2016 16:33'!
version14: spec
	<version: '1.4' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.4'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/15/2016 16:33'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.84';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.29';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.219';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcamop.18';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcamop.88';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3012';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.37';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.1';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/15/2016 17:36'!
version15: spec
	<version: '1.5' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.5'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/15/2016 17:36'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.85';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.19';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3013';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.39';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/15/2016 17:45'!
version16: spec
	<version: '1.6' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.6'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/15/2016 17:45'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.85';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.19';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3013';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.40';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/17/2016 12:39'!
version17: spec
	<version: '1.7' imports: #('0.19-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.7'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/17/2016 12:39'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.5.8';
			project: 'XMLWriter' with: '2.6.6';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.85';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.19';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3013';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.40';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 1/19/2016 16:44'!
version18: spec
	<version: '1.8' imports: #('0.20-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.8'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '1/19/2016 16:44'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.5.8';
			project: 'XMLWriter' with: '2.6.6';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.85';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.19';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3013';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.40';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Glamour-Roassal2-Presentations' with: 'Glamour-Roassal2-Presentations-AlexandreBergel.41'. ].
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 2/22/2016 14:04'!
version19: spec
	<version: '1.9' imports: #('0.20-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.9'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '2/22/2016 14:04'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			project: 'XMLParser' with: '2.6.1';
			project: 'XMLWriter' with: '2.6.6';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.86';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcampo.30';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.220';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcampo.20';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcampo.9';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcampo.89';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.71';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3015';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.42';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcampo.10';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcampo.12';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14';
			package: 'Math-Core' with: 'Math-Core-StephaneDucasse.4';
			package: 'Math-Core-Distribution' with: 'Math-Core-Distribution-WernerKassens.5';
			package: 'Math-Core-Process' with: 'Math-Core-Process-StephaneDucasse.1';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.47';
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Glamour-Roassal2-Presentations' with: 'Glamour-Roassal2-Presentations-AlexandreBergel.41'. ].
! !
